Skip to main content
GET
/
v2
/
bank-transactions
/
{transaction_id}
Get Bank Transaction
curl --request GET \
  --url https://api.example.com/v2/bank-transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "account_mask": "<string>",
  "account_id": "<string>",
  "reference_number": "<string>",
  "description": "<string>",
  "posted": true,
  "amount": "<string>",
  "agent_extractions": {
    "counterparty_name": "<string>",
    "counterparty_raw": "<string>",
    "invoice_numbers": [
      "<string>"
    ]
  },
  "agent_metrics": {
    "confidence_reason": "<string>",
    "confidence_score": 123,
    "uncertainties": [
      "<string>"
    ]
  },
  "is_agent_processing": true,
  "is_payment": true,
  "non_payment_reason": "<string>",
  "total_allocated": "<string>",
  "amount_handled_outside": "<string>",
  "handled_outside_reason": "<string>",
  "counterparty_info": {
    "display": "<string>",
    "id": "<string>",
    "partner_count": 0
  },
  "has_remittance": true,
  "has_on_account": true,
  "has_fx_payments": true,
  "has_posting_errors": true,
  "payout": {
    "id": "<string>",
    "remote_id": "<string>",
    "url": "<string>"
  },
  "object": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

Response

Successful Response

Main Bank Transaction detail schema.

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
timestamp
string<date-time>
required

If posted, the time the transaction posted. Otherwise the time the transaction was initiated/authorized.

account_mask
string
required

Last 4 digits of the bank account number

account_id
string
required

The id of the bank_account associated with the transaction.

reference_number
string
required

The transaction reference number.

description
string | null
required

The transaction's detail that often appears on your statement and portal. It can contain remittance information or descriptions about the payment.

posted
boolean
required

Whether the transaction has been posted

amount
string<decimal>
required

The gross amount (less any fees) in the currency's smallest unit, e.g. $10 USD would be represented as 1000. amount must be >= 0

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
enum<string> | null
required

The 3 character ISO 4217 currency code.

Available options:
ADP,
AED,
AFA,
AFN,
ALK,
ALL,
AMD,
ANG,
AOA,
AOK,
AON,
AOR,
ARA,
ARL,
ARM,
ARP,
ARS,
ATS,
AUD,
AWG,
AZM,
AZN,
BAD,
BAM,
BAN,
BBD,
BDT,
BEC,
BEF,
BEL,
BGL,
BGM,
BGN,
BGO,
BHD,
BIF,
BMD,
BND,
BOB,
BOL,
BOP,
BOV,
BRB,
BRC,
BRE,
BRL,
BRN,
BRR,
BRZ,
BSD,
BTN,
BUK,
BWP,
BYB,
BYN,
BYR,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLE,
CLF,
CLP,
CNH,
CNX,
CNY,
COP,
COU,
CRC,
CSD,
CSK,
CUC,
CUP,
CVE,
CYP,
CZK,
DDM,
DEM,
DJF,
DKK,
DOP,
DZD,
ECS,
ECV,
EEK,
EGP,
ERN,
ESA,
ESB,
ESP,
ETB,
EUR,
FIM,
FJD,
FKP,
FRF,
GBP,
GEK,
GEL,
GHC,
GHS,
GIP,
GMD,
GNF,
GNS,
GQE,
GRD,
GTQ,
GWE,
GWP,
GYD,
HKD,
HNL,
HRD,
HRK,
HTG,
HUF,
IDR,
IEP,
ILP,
ILR,
ILS,
INR,
IQD,
IRR,
ISJ,
ISK,
ITL,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRH,
KRO,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LTT,
LUC,
LUF,
LUL,
LVL,
LVR,
LYD,
MAD,
MAF,
MCF,
MDC,
MDL,
MGA,
MGF,
MKD,
MKN,
MLF,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MTP,
MUR,
MVP,
MVR,
MWK,
MXN,
MXP,
MXV,
MYR,
MZE,
MZM,
MZN,
NAD,
NGN,
NIC,
NIO,
NLG,
NOK,
NPR,
NZD,
OMR,
PAB,
PEI,
PEN,
PES,
PGK,
PHP,
PKR,
PLN,
PLZ,
PTE,
PYG,
QAR,
RHD,
ROL,
RON,
RSD,
RUB,
RUR,
RWF,
SAR,
SBD,
SCR,
SDD,
SDG,
SDP,
SEK,
SGD,
SHP,
SIT,
SKK,
SLE,
SLL,
SOS,
SRD,
SRG,
SSP,
STD,
STN,
SUR,
SVC,
SYP,
SZL,
THB,
TJR,
TJS,
TMM,
TMT,
TND,
TOP,
TPE,
TRL,
TRY,
TTD,
TWD,
TZS,
UAH,
UAK,
UGS,
UGX,
USD,
USN,
USS,
UYI,
UYP,
UYU,
UYW,
UZS,
VEB,
VED,
VEF,
VES,
VND,
VNN,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XCG,
XDR,
XEU,
XFO,
XFU,
XOF,
XPD,
XPF,
XPT,
XRE,
XSU,
XTS,
XUA,
XXX,
YDD,
YER,
YUD,
YUM,
YUN,
YUR,
ZAL,
ZAR,
ZMK,
ZMW,
ZRN,
ZRZ,
ZWD,
ZWL,
ZWR
type
enum<string>
required

A withdrawal indicates funds flowing out of your account (negative amount). A deposit indicates funds flowing into your account (positive amount).

Available options:
deposit,
withdrawal
agent_extractions
object
required

Agent extractions for a bank transaction.

agent_metrics
AgentMetrics · object
required

The AI agent's confidence metrics

is_agent_processing
boolean
required

Whether the transaction is currently being processed by an AI agent.

payment_status
enum<string>
required

Get the payment status of the transaction.

Available options:
non_payment,
potential_payment,
draft_payment,
posted_payment,
handled_outside
is_payment
boolean | null
required

Whether this is a payment. True=payment, False=non-payment, None=undetermined

non_payment_reason
string | null
required

Reason for marking this transaction as a non-payment

total_allocated
string<decimal>
required

Total amount allocated to payments

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
amount_handled_outside
string<decimal>
required

Amount handled outside of Stuut

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
handled_outside_reason
string | null
required

Reason why this transaction was handled outside of Stuut

counterparty_info
CounterpartyInfo · object
required

Counterparty information aggregated from transaction and payments.

has_remittance
boolean
required

Whether transaction or any of its payments are associated to a remittance

has_on_account
boolean
required

Whether any payment on this transaction has on-account funds (unallocated amount)

has_fx_payments
boolean
required

Whether any payment on this transaction involves foreign exchange (different currency than bank transaction)

has_posting_errors
boolean
required

Whether any payment on this transaction has a posting error and has not been posted

payout
PayoutInfo · object
required

Minimal payout reference for the bank-transaction detail response.

object
string
required
read-only

String representing the object's type. Objects of the same type share the same value.